Page MenuHomePhabricator

Wikisource Extension: Some sidebar link text incorrectly encoded
Closed, ResolvedPublic1 Estimated Story PointsBUG REPORT

Description

What is the problem?

When translations for the sidebar link text include ' it gets shown as '. See screenshot.

Examples:

  • In Turkish: PDF'yi indir
  • In Italian: tooltip: Scarica una versione ePub di quest'opera
Steps to reproduce problem
  1. While logged out, go to https://tr.wikisource.org/wiki/Yeni_Ahit/Resullerin_%C4%B0%C5%9Fleri
  2. Go to a book and look at the sidebar links

Expected behavior: Link text is PDF'yi indir
Observed behavior: Link text is PDF'yi indir

Environment

Wiki(s): Wikisource โ€“ (0c0e97a) 07:36, 11 January 2021.

Screenshots (if applicable):

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptJan 15 2021, 2:00 PM

Change 656653 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/Wikisource@master] Use shorter list item parameter for sidebar links

https://gerrit.wikimedia.org/r/656653

Change 656653 merged by jenkins-bot:
[mediawiki/extensions/Wikisource@master] Use shorter list item parameter for sidebar links

https://gerrit.wikimedia.org/r/656653

@Samwilson Should the same change be made for title as well? This bug also affects tooltips. Sorry I didn't make that very clear in the bug description.

Change 656984 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/Wikisource@master] Unescape tooltip text

https://gerrit.wikimedia.org/r/656984

Oops, I totally should've checked that. Sorry. Done now; patch ready for review.

Change 656984 merged by jenkins-bot:
[mediawiki/extensions/Wikisource@master] Unescape tooltip text

https://gerrit.wikimedia.org/r/656984

ifried closed this task as Resolved.EditedMar 12 2021, 7:35 PM
ifried added a subscriber: ifried.

This is now working as expected on production., I tested the tooltip for the EPUB sidebar link on https://it.wikisource.org/wiki/La_scienza_nuova_-_Volume_I/Occasione_di_meditarsi and I was seeing the ' as expected. For this reason, I'm marking this as Done.